package com.pruebasaplicacion.sergimeli.bletests.modelo;


/**
 * Created by Elerionfly on 22/07/2016.
 * Modelo para la base de datos, utilizada en la creación de nuevas filas en la tabla de
 * DatosDispositivo
 */
public class DatosDispositivo {

    public String mDevice;
    public String mServiceUUID;
    public String mDeviceName;
    public String GivenName;

    /**
     * Constructor principal de DatosDispositivo que necesita de:
     * @param Device beacon del dispositivo
     * @param mServiceUUID UUID del dispositivo. Si no se tiene una se le asignará una aleatoria.
     * @param mDeviceName Nombre del dispositivo.
     * @param GivenName Nombre dado al dispositivo por el usuario.
     */
    public DatosDispositivo(String Device,
                            String mServiceUUID,
                            String mDeviceName,
                            String GivenName){
        this.mDevice = Device;
        this.mServiceUUID = mServiceUUID;
        this.mDeviceName = mDeviceName;
        this.GivenName = GivenName;
    }
}
